<?php

namespace App\Core\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Config;

class BookingEngineSearchReportMail extends Mailable
{

    use Queueable, SerializesModels;

    public $tries = 5;
    public $timeout = 30;

    protected $param;


    public function __construct($param)
    {
        $this->param = $param;
    }

    public function build()
    {
        try {

            $params = $this->param;
            $mailSenderAddress = Config::get('app.mailSenderAddress');

            /*echo view('emails.bookingEngineSearchReportMail', compact('params'));
            die();*/

            $bcc = $params['propertyUserEmail'];

            return $this->from($mailSenderAddress,  'Extranetwork')
                ->view('emails.bookingEngineSearchReportMail', compact('params'))
                ->to($mailSenderAddress, 'Extranetwork')
                ->bcc($bcc)
                ->subject($params['propertyName'].' - Günlük İşlem Raporu : '. $params['date']);


        } catch (Exception $e) {
            $message = $e->getFile() . " " . $e->getLine() . " " . $e->getMessage();
            Log::error($message);
            return output(['status' => -1, 'message' => $e->getMessage()]);
        }
    }

}
